Skip to content
Guides
API reference
stablecatalog:read

List specifications

Retrieve a paginated list of specifications with optional filtering. Use 'ids' param to fetch specific specifications by their IDs (comma-separated).

GET/v1/catalog/specifications

Retrieve a paginated list of specifications with optional filtering. Use 'ids' param to fetch specific specifications by their IDs (comma-separated).

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Opaque cursor from the previous response. Omit it on the first page.

search?string

Free-text filter. Which fields it covers depends on the resource.

sortBy?string

Field to sort by. Accepted values depend on the resource.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
level?string

Value in

  • "product"
  • "variant"
  • "store"
  • "seller"
  • "all"
type?string

Value in

  • "input"
  • "textArea"
  • "select"
  • "checkbox"
  • "colorPicker"
  • "datePicker"
  • "timePicker"
  • "dateTimePicker"
  • "file"
ids?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/specifications"
{  "data": [    {      "id": "string",      "storeId": "string",      "name": "string",      "key": "string",      "aliases": [        "string"      ],      "description": null,      "isMultiple": true,      "isRequired": true,      "isFilterable": true,      "isSearchable": true,      "order": 0,      "status": "inactive",      "type": "input",      "level": "product",      "values": [        {          "id": "string",          "value": "string",          "name": "string",          "isDefault": true,          "order": 0        }      ],      "metadata": {},      "createdOn": "2019-08-24T14:15:22Z",      "updatedOn": null    }  ],  "hasNextPage": true,  "nextCursor": null,  "totalCount": null}